All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.table
Class RowChangedEvent

    com.sas.table.RowChangedEvent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class RowChangedEvent

Reports a change to a table's row(s).

An object that represents a table should create this event whenever a row, or a contiguous range of rows, has been added, removed, or changed, and send it to all registered listeners for ContentsChangedEvent.

See Also:
  `ContentsChangedSource`, `ColumnChangedEvent`, Serialized Form

Field Summary

Fields inherited from class com.sas.table.CellVectorChangedEvent
`ADDED, ALL_REPLACED, CELLS, CLASS, count, DEFAULT_VALUE, howChanged, index, REMOVED`

Constructor Summary
`RowChangedEvent(java.lang.Object source)` Constructs an event to indicate that all the rows have been completely replaced by a new set.
`RowChangedEvent(java.lang.Object source, int index, int count, int howChanged)` Constructor.

Method Summary

Methods inherited from class com.sas.table.CellVectorChangedEvent
`toString`

Methods inherited from class com.sas.collection.ContentsChangedEvent
`clone`

Constructor Detail

### RowChangedEvent

    public RowChangedEvent(java.lang.Object source,
                           int index,
                           int count,
                           int howChanged)

  Constructor. Rows index through index+count-1 will be considered changed.

  Parameters:
    `source` - The table model whose row(s) has changed.
    `index` - The one-based identifier of the first (or only) changed row.
    `count` - The number of changed rows.
    `howChanged` - Indicates how the rows have changed.
  See Also:
    `CellVectorChangedEvent.ADDED`, `CellVectorChangedEvent.REMOVED`, `CellVectorChangedEvent.ALL_REPLACED`, `CellVectorChangedEvent.CELLS`, `CellVectorChangedEvent.CLASS`, `CellVectorChangedEvent.DEFAULT_VALUE`

### RowChangedEvent

    public RowChangedEvent(java.lang.Object source)

  Constructs an event to indicate that all the rows have been completely replaced by a new set.

  Parameters:
    `source` - The table model whose rows have been replaced.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.